[ARVADOS] updated: 2.1.0-2256-g6a51a50e4
Git user
git at public.arvados.org
Tue Apr 12 20:10:34 UTC 2022
Summary of changes:
tools/salt-install/provision.sh | 16 +++++++++-------
1 file changed, 9 insertions(+), 7 deletions(-)
via 6a51a50e46ead08dc591d5d92b75fb371cd19bba (commit)
from 43c0c9be21e63ed268d199991a9ad29ec802dbed (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 6a51a50e46ead08dc591d5d92b75fb371cd19bba
Author: Ward Vandewege <ward at curii.com>
Date: Tue Apr 12 16:10:10 2022 -0400
Installer bugfix (part 2).
refs #16375
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index 080029876..669d04d92 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -548,15 +548,17 @@ if [ -z "${ROLES}" ]; then
grep -q "aws_credentials" ${S_DIR}/top.sls || echo " - extra.aws_credentials" >> ${S_DIR}/top.sls
fi
grep -q "letsencrypt" ${S_DIR}/top.sls || echo " - letsencrypt" >> ${S_DIR}/top.sls
- elif [ "${SSL_MODE}" = "bring-your-own" ]; then
- # Copy certs to formula extra/files
+ else
mkdir -p /srv/salt/certs
- cp -rv ${CUSTOM_CERTS_DIR}/* /srv/salt/certs/
- # We add the custom_certs state
- grep -q "custom_certs" ${S_DIR}/top.sls || echo " - extra.custom_certs" >> ${S_DIR}/top.sls
+ if [ "${SSL_MODE}" = "bring-your-own" ]; then
+ # Copy certs to formula extra/files
+ cp -rv ${CUSTOM_CERTS_DIR}/* /srv/salt/certs/
+ # We add the custom_certs state
+ grep -q "custom_certs" ${S_DIR}/top.sls || echo " - extra.custom_certs" >> ${S_DIR}/top.sls
+ fi
+ # In self-signed mode, the certificate files will be created and put in the
+ # destination directory by the snakeoil_certs.sls state file
fi
- # In self-signed mode, the certificate files will be created and put in the
- # destination directory by the snakeoil_certs.sls state file
echo " - postgres" >> ${S_DIR}/top.sls
echo " - docker.software" >> ${S_DIR}/top.sls
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list